close
connections
disconnect_cb
rawread
read
readlines
recv
remote
send
sendline
socket
tls
unread

## rawread()

def network.Socket.rawread | ( |  | self,
|  |  | callback,
|  |  | error = `None`
| ) |  |

Register function to be called when data is ready for reading.

The function will be called when data is ready. The callback must read the function or call unread(), or it will be called again after returning.

Parameters

  callback | function to be called when data can be read.
  error | function to be called if there is an error on the socket.

Returns
  The data that was remaining in the line buffer, if any.

Definition at line 374 of file network.py.

Here is the call graph for this function: